! This program computes the value of a 1D spline at 0 and the derivative at this
! point. This is needed for the atom-surface interaction above the TOP site, as
! well as the 1D corrugation reduction function.

PROGRAM Recompute_0

USE Spline

IMPLICIT NONE

INTEGER         :: i
TYPE (Spline1D) :: TestSpline

OPEN( 100, FILE="FILE.1d", STATUS="OLD" )

READ(100, *) TestSpline%NX

CALL Allocate_Spline1D( TestSpline, TestSpline%NX )

DO i = 1, TestSpline%NX
  READ(100, *) TestSpline%X(i), TestSpline%F(i)
END DO

CALL Compute_Spline1D( TestSpline, 0, 0.0, 2, 0.0 )

PRINT *, Evaluate_Spline1D( TestSpline, 0.0 ), Evaluate_Spline1D_Derivative( TestSpline, 0.0 )

CLOSE( 100 )

END PROGRAM

